Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLObjectElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLObjectElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLObjectElement, Node, NodeList, HTMLFormControl

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLObjectElementImpl.

    public class HTMLObjectElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLObjectElement, HTMLFormControl

See Also:
  `HTMLObjectElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLObjectElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`String` | `getAlign()` Deprecated.
`String` | `getArchive()` Deprecated.
`String` | `getBorder()` Deprecated.
`String` | `getCode()` Deprecated.
`String` | `getCodeBase()` Deprecated.
`String` | `getCodeType()` Deprecated.
`Document` | `getContentDocument()` Deprecated.
`String` | `getData()` Deprecated.
`boolean` | `getDeclare()` Deprecated.
`String` | `getHeight()` Deprecated.
`String` | `getHspace()` Deprecated.
`String` | `getName()` Deprecated.
`String` | `getStandby()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getType()` Deprecated.
`String` | `getUseMap()` Deprecated.
`String` | `getVspace()` Deprecated.
`String` | `getWidth()` Deprecated.
`void` | `setAlign(String align)` Deprecated.
`void` | `setArchive(String archive)` Deprecated.
`void` | `setBorder(String border)` Deprecated.
`void` | `setCode(String code)` Deprecated.
`void` | `setCodeBase(String codeBase)` Deprecated.
`void` | `setCodeType(String codeType)` Deprecated.
`void` | `setData(String data)` Deprecated.
`void` | `setDeclare(boolean declare)` Deprecated.
`void` | `setHeight(String height)` Deprecated.
`void` | `setHspace(String hspace)` Deprecated.
`void` | `setName(String name)` Deprecated.
`void` | `setStandby(String standby)` Deprecated.
`void` | `setTabIndex(int tabIndex)` Deprecated.
`void` | `setType(String type)` Deprecated.
`void` | `setUseMap(String useMap)` Deprecated.
`void` | `setVspace(String vspace)` Deprecated.
`void` | `setWidth(String width)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getBaseURI, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLObjectElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLObjectElementImpl

    public HTMLObjectElementImpl(HTMLDocumentImpl owner,
                                 String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCode

    public String getCode()

  Deprecated.
  Specified by:
    `getCode` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCode

    public void setCode(String code)

  Deprecated.
  Specified by:
    `setCode` in interface `org.w3c.dom.html.HTMLObjectElement`

### getAlign

    public String getAlign()

  Deprecated.
  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLObjectElement`

### setAlign

    public void setAlign(String align)

  Deprecated.
  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLObjectElement`

### getArchive

    public String getArchive()

  Deprecated.
  Specified by:
    `getArchive` in interface `org.w3c.dom.html.HTMLObjectElement`

### setArchive

    public void setArchive(String archive)

  Deprecated.
  Specified by:
    `setArchive` in interface `org.w3c.dom.html.HTMLObjectElement`

### getBorder

    public String getBorder()

  Deprecated.
  Specified by:
    `getBorder` in interface `org.w3c.dom.html.HTMLObjectElement`

### setBorder

    public void setBorder(String border)

  Deprecated.
  Specified by:
    `setBorder` in interface `org.w3c.dom.html.HTMLObjectElement`

### getCodeBase

    public String getCodeBase()

  Deprecated.
  Specified by:
    `getCodeBase` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCodeBase

    public void setCodeBase(String codeBase)

  Deprecated.
  Specified by:
    `setCodeBase` in interface `org.w3c.dom.html.HTMLObjectElement`

### getCodeType

    public String getCodeType()

  Deprecated.
  Specified by:
    `getCodeType` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCodeType

    public void setCodeType(String codeType)

  Deprecated.
  Specified by:
    `setCodeType` in interface `org.w3c.dom.html.HTMLObjectElement`

### getData

    public String getData()

  Deprecated.
  Specified by:
    `getData` in interface `org.w3c.dom.html.HTMLObjectElement`

### setData

    public void setData(String data)

  Deprecated.
  Specified by:
    `setData` in interface `org.w3c.dom.html.HTMLObjectElement`

### getDeclare

    public boolean getDeclare()

  Deprecated.
  Specified by:
    `getDeclare` in interface `org.w3c.dom.html.HTMLObjectElement`

### setDeclare

    public void setDeclare(boolean declare)

  Deprecated.
  Specified by:
    `setDeclare` in interface `org.w3c.dom.html.HTMLObjectElement`

### getHeight

    public String getHeight()

  Deprecated.
  Specified by:
    `getHeight` in interface `org.w3c.dom.html.HTMLObjectElement`

### setHeight

    public void setHeight(String height)

  Deprecated.
  Specified by:
    `setHeight` in interface `org.w3c.dom.html.HTMLObjectElement`

### getHspace

    public String getHspace()

  Deprecated.
  Specified by:
    `getHspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### setHspace

    public void setHspace(String hspace)

  Deprecated.
  Specified by:
    `setHspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### getName

    public String getName()

  Deprecated.
  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLObjectElement`

### setName

    public void setName(String name)

  Deprecated.
  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLObjectElement`

### getStandby

    public String getStandby()

  Deprecated.
  Specified by:
    `getStandby` in interface `org.w3c.dom.html.HTMLObjectElement`

### setStandby

    public void setStandby(String standby)

  Deprecated.
  Specified by:
    `setStandby` in interface `org.w3c.dom.html.HTMLObjectElement`

### getTabIndex

    public int getTabIndex()

  Deprecated.
  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLObjectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Deprecated.
  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLObjectElement`

### getType

    public String getType()

  Deprecated.
  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLObjectElement`

### setType

    public void setType(String type)

  Deprecated.
  Specified by:
    `setType` in interface `org.w3c.dom.html.HTMLObjectElement`

### getUseMap

    public String getUseMap()

  Deprecated.
  Specified by:
    `getUseMap` in interface `org.w3c.dom.html.HTMLObjectElement`

### setUseMap

    public void setUseMap(String useMap)

  Deprecated.
  Specified by:
    `setUseMap` in interface `org.w3c.dom.html.HTMLObjectElement`

### getVspace

    public String getVspace()

  Deprecated.
  Specified by:
    `getVspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### setVspace

    public void setVspace(String vspace)

  Deprecated.
  Specified by:
    `setVspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### getWidth

    public String getWidth()

  Deprecated.
  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLObjectElement`

### setWidth

    public void setWidth(String width)

  Deprecated.
  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLObjectElement`

### getContentDocument

    public Document getContentDocument()

  Deprecated.
  Specified by:
    `getContentDocument` in interface `org.w3c.dom.html.HTMLObjectElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD